Subject: Independent
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 5 Apr 2000 04:14:00 -0700 (PDT)

Attached is the amendment to the field services agreement and a new 
construction agreement for the incremental collection facilities.

Independant needs to prepare Exhibit A to the construction agreement.  This 
is a description of the facilities to be constructed.  The construction 
agreement is the exact form which was executed for the initial Collection 
Facilities.  Please review and if everthing looks acceptable, please forward 
to Independant.